Bug 684336 - [Pineview] Crash on dualhead
Summary: [Pineview] Crash on dualhead
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-11 20:30 UTC by Lukas Bezdicka
Modified: 2018-04-11 07:17 UTC (History)
3 users (show)

Fixed In Version: xorg-x11-server-1.10.1-14.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-06 02:48:49 UTC


Attachments (Terms of Use)
Xorg log (48.85 KB, text/plain)
2011-03-11 20:30 UTC, Lukas Bezdicka
no flags Details
gdb crash at bottom (14.21 KB, text/plain)
2011-03-11 20:32 UTC, Lukas Bezdicka
no flags Details
garbage on screen (382.83 KB, image/png)
2011-03-11 20:34 UTC, Lukas Bezdicka
no flags Details

Description Lukas Bezdicka 2011-03-11 20:30:54 UTC
Created attachment 483812 [details]
Xorg log

Description of problem:
Adding and removing monitor results in garbage on the screen and after a while into a crash.

xorg-x11-server-Xorg-1.10.0-3.fc15.x86_64
xorg-x11-drv-intel-2.14.0-3.fc15.x86_64
mesa-dri-drivers-7.10-0.27.fc15.x86_64

Comment 1 Lukas Bezdicka 2011-03-11 20:32:05 UTC
Created attachment 483813 [details]
gdb crash at bottom

crash should be at the end of file

Comment 2 Lukas Bezdicka 2011-03-11 20:34:39 UTC
Created attachment 483814 [details]
garbage on screen

it gets even worse

Comment 3 Matěj Cepl 2011-03-18 00:22:10 UTC
Backtrace:
[  2976.876] 0: /usr/bin/Xorg (xorg_backtrace+0x2f) [0x4a105f]
[  2976.876] 1: /usr/bin/Xorg (0x400000+0x620a6) [0x4620a6]
[  2976.876] 2: /lib64/libpthread.so.0 (0x363f200000+0xf4e0) [0x363f20f4e0]
[  2976.877] 3: /usr/lib64/xorg/modules/extensions/libglx.so (0x7f6fd3c1f000+0x339cb) [0x7f6fd3c529cb]
[  2976.877] 4: /usr/bin/Xorg (FreeClientResources+0xd5) [0x44c495]
[  2976.877] 5: /usr/bin/Xorg (CloseDownClient+0x5e) [0x42df6e]
[  2976.877] 6: /usr/bin/Xorg (0x400000+0x2e212) [0x42e212]
[  2976.877] 7: /usr/bin/Xorg (0x400000+0x2eab1) [0x42eab1]
[  2976.878] 8: /usr/bin/Xorg (0x400000+0x22d3a) [0x422d3a]
[  2976.878] 9: /lib64/libc.so.6 (__libc_start_main+0xed) [0x363ea2131d]
[  2976.878] 10: /usr/bin/Xorg (0x400000+0x23021) [0x423021]
[  2976.878] Segmentation fault at address 0x17000000154
[  2976.878] 
Fatal server error:
[  2976.878] Caught signal 11 (Segmentation fault). Server aborting
[  2976.878] 
[  2976.879] 
Please consult the Fedora Project support 
	 at http://wiki.x.org

Comment 4 Fedora Update System 2011-04-18 18:34:39 UTC
xorg-x11-server-1.10.1-7.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/xorg-x11-server-1.10.1-7.fc15

Comment 5 Fedora Update System 2011-04-20 02:42:55 UTC
Package xorg-x11-server-1.10.1-7.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xorg-x11-server-1.10.1-7.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/xorg-x11-server-1.10.1-7.fc15
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-04-21 08:06:30 UTC
xorg-x11-server-1.10.1-10.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/xorg-x11-server-1.10.1-10.fc15

Comment 7 Fedora Update System 2011-05-05 17:25:59 UTC
xorg-x11-server-1.10.1-14.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/xorg-x11-server-1.10.1-14.fc15

Comment 8 Fedora Update System 2011-05-06 02:48:35 UTC
xorg-x11-server-1.10.1-14.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.